Bug 976100 - [abrt] glibc-2.16-31.fc18: elf_get_dynamic_info: Process /usr/lib64/ld-2.16.so was killed by signal 11 (SIGSEGV)
Summary: [abrt] glibc-2.16-31.fc18: elf_get_dynamic_info: Process /usr/lib64/ld-2.16.s...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:88069276bc2dfa66d55cb1762d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-19 22:07 UTC by Jason Porter
Modified: 2016-11-24 15:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-20 02:19:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (75.98 KB, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: core_backtrace (522 bytes, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: environ (6.98 KB, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: maps (930 bytes, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: open_fds (206 bytes, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: proc_pid_status (991 bytes, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
File: var_log_messages (333 bytes, text/plain)
2013-06-19 22:07 UTC, Jason Porter
no flags Details
libjffi-1.2.so (88.26 KB, application/octet-stream)
2013-06-19 23:40 UTC, Jason Porter
no flags Details

Description Jason Porter 2013-06-19 22:07:09 UTC
Description of problem:
I was rebuilding all my ruby installs via rvm.

Version-Release number of selected component:
glibc-2.16-31.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /lib64/ld-linux-x86-64.so.2 --verify /home/jporter/.rvm/rubies/jruby-1.7.3/lib/native/x86_64-SunOS/libjffi-1.2.so
crash_function: elf_get_dynamic_info
dso_list:       /usr/lib64/ld-2.16.so glibc-2.16-31.fc18.x86_64 (Fedora Project) 1368631644
executable:     /usr/lib64/ld-2.16.so
kernel:         3.9.2-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 elf_get_dynamic_info at dynamic-link.h:165
 #1 _dl_map_object_from_fd at dl-load.c:1428
 #2 _dl_map_object at dl-load.c:2359
 #3 map_doit at rtld.c:631
 #4 _dl_catch_error at dl-error.c:177
 #5 dl_main at rtld.c:1070
 #6 _dl_sysdep_start at ../elf/dl-sysdep.c:242
 #7 _dl_start_final at rtld.c:336
 #8 _dl_start at rtld.c:562

Comment 1 Jason Porter 2013-06-19 22:07:14 UTC
Created attachment 763149 [details]
File: backtrace

Comment 2 Jason Porter 2013-06-19 22:07:18 UTC
Created attachment 763150 [details]
File: cgroup

Comment 3 Jason Porter 2013-06-19 22:07:21 UTC
Created attachment 763151 [details]
File: core_backtrace

Comment 4 Jason Porter 2013-06-19 22:07:25 UTC
Created attachment 763152 [details]
File: environ

Comment 5 Jason Porter 2013-06-19 22:07:28 UTC
Created attachment 763153 [details]
File: limits

Comment 6 Jason Porter 2013-06-19 22:07:31 UTC
Created attachment 763154 [details]
File: maps

Comment 7 Jason Porter 2013-06-19 22:07:34 UTC
Created attachment 763155 [details]
File: open_fds

Comment 8 Jason Porter 2013-06-19 22:07:38 UTC
Created attachment 763156 [details]
File: proc_pid_status

Comment 9 Jason Porter 2013-06-19 22:07:41 UTC
Created attachment 763157 [details]
File: var_log_messages

Comment 10 Carlos O'Donell 2013-06-19 22:19:18 UTC
What provides libjffi-1.2.so?

Could you attach it to the issue please?

Comment 11 Jason Porter 2013-06-19 22:31:59 UTC
I can tell you right now a gem depends on it: ffi, which is used by listen I believe. As to what's providing it, I'm not sure right now.

Comment 12 Jason Porter 2013-06-19 22:38:10 UTC
I don't see anything in yum that supplies it, my guess is it's something from jRuby.

Comment 13 Carlos O'Donell 2013-06-19 22:51:42 UTC
Please provide a copy of the DSO for analysis then.

Comment 14 Jason Porter 2013-06-19 23:33:00 UTC
Sorry, I'm completely new to submitting fedora tickets. What is a DSO and where can I find it or generate one?

Comment 15 Jason Porter 2013-06-19 23:40:56 UTC
Created attachment 763173 [details]
libjffi-1.2.so

libjffi from jRuby.

Comment 16 Carlos O'Donell 2013-06-20 02:19:48 UTC
(In reply to Jason Porter from comment #14)
> Sorry, I'm completely new to submitting fedora tickets. What is a DSO and
> where can I find it or generate one?

Thanks, you're doing a great job!

Please note that the DSO you attached has incomplete dependencies.

It has 4 relocations against symbols from libpthread:

0000000000211310  0000000a00000007 R_X86_64_JUMP_SLOT     0000000000000000 pthread_key_create + 0
0000000000211360  0000001100000007 R_X86_64_JUMP_SLOT     0000000000000000 pthread_getspecific + 0
0000000000211418  0000001c00000007 R_X86_64_JUMP_SLOT     0000000000000000 pthread_key_delete + 0
0000000000211438  0000001e00000007 R_X86_64_JUMP_SLOT     0000000000000000 pthread_setspecific + 0

However, it doesn't depend on libpthread, it only depends on libc:

 0x0000000000000001 (NEEDED)             Shared library: [libc.so.6]

This is a common problem and shouldn't lead to a crash in the dynamic linker, but does mean the DSO is incomplete and could fail to load.

I am unable to reproduce the crash with `/lib64/ld-linux-x86-64.so.2 --verify libjffi-1.2.so" on F18 with glibc-2.16-31.fc18.x86_64.

I manually inspected the DSO and find nothing wrong with it. There is no indication of the cause of the failure.

I'm going to mark this as CLOSED/WORKSFORME, but I'll keep an eye out for other reports.


Note You need to log in before you can comment on or make changes to this bug.